#include <iostream>
using namespace std;

//typedef double (*fce)(double x);
using fce = double (*)(double x);  // tot: ukazatel na funkci 

void tabulka(fce f, double od, double po, int kolik)
{
	double delta = (po - od) / (kolik - 1);
	for (int i = 0; i < kolik; i++)
	{
		double x = od + i * delta;
		cout << x << "   " << f(x) << endl;
		//cout << x << "   " << (*f)(x) << endl; // Star monost
	}
}

double mocnina(double x)
{
	return x * x;
}

int main()
{
	int z = 10;
	//tabulka(mocnina, 0, 1, 11);
	//tabulka(&mocnina, 0, 1, 11);  // Star monost
	tabulka([](double x) { cout << z << endl; return x * x * x; }, 0, 1, 11);
}